Commit a3fa2747 authored by Jody Goldberg's avatar Jody Goldberg

Begin transition to making bonobo enabled build the default

parent 7666a707
......@@ -22,6 +22,9 @@ Long term breakage
: finish implementing optionally putting markers above/left
: connect the hide/show menu items
- Version the idl file so that future versions will not be confused by attempts
to use an older version of the idl.
- It is possible to navigate to hidden cols/rows at the start/end of the sheet.
- clean up the range_list codes to differentiate a list of ranges from a list
......
2001-06-25 Jody Goldberg <jgoldberg@home.com>
* src/xml-io.c (xml_not_used_old_array_spec) : fix a few warnings.
2001-06-23 Almer S. Tigelaar <almer@gnome.org>
* src/item-cursor.c (item_cursor_do_drop): Always clear
......
2001-06-25 Jody Goldberg <jgoldberg@home.com>
* src/xml-io.c (xml_not_used_old_array_spec) : fix a few warnings.
2001-06-23 Almer S. Tigelaar <almer@gnome.org>
* src/item-cursor.c (item_cursor_do_drop): Always clear
......
2001-06-25 Jody Goldberg <jgoldberg@home.com>
* src/xml-io.c (xml_not_used_old_array_spec) : fix a few warnings.
2001-06-23 Almer S. Tigelaar <almer@gnome.org>
* src/item-cursor.c (item_cursor_do_drop): Always clear
......
2001-06-25 Jody Goldberg <jgoldberg@home.com>
* src/xml-io.c (xml_not_used_old_array_spec) : fix a few warnings.
2001-06-23 Almer S. Tigelaar <almer@gnome.org>
* src/item-cursor.c (item_cursor_do_drop): Always clear
......
2001-06-25 Jody Goldberg <jgoldberg@home.com>
* src/xml-io.c (xml_not_used_old_array_spec) : fix a few warnings.
2001-06-23 Almer S. Tigelaar <almer@gnome.org>
* src/item-cursor.c (item_cursor_do_drop): Always clear
......
......@@ -26,18 +26,16 @@ You need:
libglade >= 0.16
gal >= 0.8
gnome-print >= 0.25
gnome-xml >= 1.8.12 (gnome-xml 2.x not supported yet)
gnome-xml >= 1.8.12 (gnome-xml 2.x not supported yet)
NOTE : gnome-xml is also known as libxml
libole2 >= 0.2.3
libole2 >= 0.2.3
NOTE : libole2 is also known as libgnomeole2
bonobo >= 1.0.3
With the newer bonobo you will also want a newer gnome-libs
gnome-libs >= 1.2.7 (gnome-libs 2.0 is not supported)
Optionally:
gb == 0.0.19 (Gnome Basic for macros)
bonobo >= 1.00
With the newer bonobo you will also want a newer gnome-libs
gnome-libs >= 1.2.7 (gnome-libs 2.0 is not supported)
guppi == CVS module guppi3
Notes regarding plugins
......
......@@ -274,7 +274,7 @@ unset libole2_ok
dnl ******************************
dnl Check for Bonobo
dnl ******************************
try_bonobo=false
try_bonobo=true
bonobo=
bonobo_msg=no
using_oaf=no
......@@ -282,25 +282,25 @@ bonobo_suffix=
have_bonobo=false
AC_ARG_WITH(bonobo,
[--{with,without}-bonobo Compile with Bonobo support or without it],
if test x$withval = xyes; then
try_bonobo=true
if test x$withval = xno; then
try_bonobo=false
fi
)
gnumeric_executable=gnumeric
AC_SUBST(gnumeric_executable)
if $try_bonobo; then
AC_MSG_CHECKING(for Bonobo >= 0.35 )
AC_MSG_CHECKING(for Bonobo >= 1.03 )
if gnome-config --libs bonobo > /dev/null 2>&1; then
verstxt=`gnome-config --modversion bonobo`
vers=`echo "$verstxt" | sed -e "s/^bonobo-//" | \
awk -F. '{ printf "%d", $1 * 1000 + $2; }'`
awk -F. '{ printf "%d", ($1 * 1000 + $2) * 1000 + $3;}'`
else
verstxt="-"
vers=0
fi
if test "$vers" -ge 35; then
if test "$vers" -ge 1000003; then
AC_MSG_RESULT($marker_ok found $verstxt)
AC_DEFINE(ENABLE_BONOBO)
have_bonobo=true
......@@ -650,12 +650,6 @@ Configuration:
Bonobo Support: ${bonobo_msg}
GB Support: ${gb_msg}
"
if $have_bonobo; then
echo "
Please do not distribute prebuilt binaries with bonobo support.
However, as of the 0.65 release we consider it stable enough
to accept bug reports."
fi
if $have_gb; then
echo "
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment